---
title: "Get Job Status"
url: "https://developer.migros.ch/apis/hr25-compensation-api-0/versions/81e689e4-d95b-44d7-a80e-882b791b85b2/operations/get_job_status_salary_jobs_get"
---

> Full API specification: https://developer.migros.ch/apis/hr25-compensation-api-0/versions/81e689e4-d95b-44d7-a80e-882b791b85b2.md

# Get Job Status

`GET` `/migros/human-resources/hrsolcomp/v1/salary/jobs`

Operation ID: `get_job_status_salary_jobs_get`

Check the status of a salary calculation job.

## Query parameters

- `job_id` (string, required) - UUID returned by POST /salary/calculate

## Header parameters

- `authorization` (string, optional)

## Responses

- `200` - Job status
- `404` - Job not found
- `422` - Validation Error

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: HR25 Compensation API
  version: 0.1.0
servers:
  - url: https://hr25-comp.service.migros.cloud
paths:
  /migros/human-resources/hrsolcomp/v1/salary/jobs:
    get:
      description: Check the status of a salary calculation job.
      operationId: get_job_status_salary_jobs_get
      parameters:
        - description: UUID returned by POST /salary/calculate
          in: query
          name: job_id
          required: true
          schema:
            title: Job ID
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            title: Authorization
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/JobStatus"
          description: Job status
        "404":
          description: Job not found
        "422":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/HTTPValidationError"
          description: Validation Error
      summary: Get Job Status
      tags:
        - salary
      x-kong-route-defaults:
        strip_path: true
        tags:
          - hr25-comp
components:
  schemas:
    JobStatus:
      description: Status of an async salary calculation job
      properties:
        error:
          description: Error message if status is failed
          type: string
        job_id:
          description: Unique job identifier (UUID)
          type: string
        status:
          description: "Job status: running, completed, or failed"
          enum:
            - running
            - completed
            - failed
          type: string
      required:
        - job_id
        - status
      title: JobStatus
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: "#/components/schemas/ValidationError"
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
```
